com.independentsoft.exchange

## Class DistributionList

- java.lang.Object
- - com.independentsoft.exchange.Item
  - - com.independentsoft.exchange.DistributionList

-     public class DistributionList
      extends Item

  Represents a distribution list.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributionList()` Initializes a new instance of the DistributionList class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContactSource` | `getContactSource()` Gets whether the contact is located in the Exchange store or in Active Directory Domain Services (AD DS).
    `java.lang.String` | `getFileAs()` Gets how a distribution list is filed in the Contacts folder.
    `java.util.List<DistributionListMember>` | `getMembers()` Gets whether the contact is located in the Exchange store or in Active Directory Domain Services (AD DS).
    `java.lang.String` | `toString()` Converts the value of the current DistributionList object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Item

      `getArchiveTag, getAttachments, getBody, getBodyHtmlText, getBodyPlainText, getBodyRtf, getCategories, getComment, getConversationId, getCreatedTime, getCulture, getDisplayName, getEffectiveRights, getEntityExtractionResult, getEntryId, getExtendedProperties, getExtendedProperty, getFlag, getGroupingAction, getIconIndex, getImportance, getInstanceKey, getItemClass, getItemId, getLastModifiedTime, getLastModifierName, getMimeContent, getNextPredictedAction, getParentId, getPreview, getReminderDueBy, getReminderIsSet, getReminderMinutesBeforeStart, getRetentionDate, getRetentionTag, getRtfCompressed, getSearchKey, getSensitivity, getSize, getStoreEntryId, getSubject, getTextBody, getUniqueBody, getWebClientEditFormQueryString, getWebClientReadFormQueryString, hasAttachments, hasBlockedImages, isAssociated, isBlockStatus, isHidden, setArchiveTag, setBody, setBodyRtf, setCategories, setComment, setDisplayName, setEffectiveRights, setFlag, setHidden, setImportance, setItemClass, setMimeContent, setReminderDueBy, setReminderIsSet, setReminderMinutesBeforeStart, setRetentionDate, setRetentionTag, setRtfCompressed, setSensitivity, setSubject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DistributionList

          public DistributionList()

      Initializes a new instance of the DistributionList class.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current DistributionList object to its equivalent string representation.
      Overrides:
        `toString` in class `Item`
      Returns:
        the string

    - #### getFileAs

          public java.lang.String getFileAs()

      Gets how a distribution list is filed in the Contacts folder.
      Returns:
        the file as

    - #### getContactSource

          public ContactSource getContactSource()

      Gets whether the contact is located in the Exchange store or in Active Directory Domain Services (AD DS).
      Returns:
        the contact source

    - #### getMembers

          public java.util.List<DistributionListMember> getMembers()

      Gets whether the contact is located in the Exchange store or in Active Directory Domain Services (AD DS).
      Returns:
        the members